<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/gui/options/expansionoptionsettingwidget.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/dae/a01304_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionoptionsettingwidget.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/dae/a01304.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionOptionSettingWidget.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="keyword">class </span>ExpansionOptionSettingWidget <span class="keyword">extends</span> <a class="code hl_class" href="../../d7/d40/a03681.html">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#a127b641c64c74660cf9ee7aeb9a1a8fa">   15</a></span>    <span class="keyword">protected</span> Widget <a class="code hl_variable" href="../../d7/d40/a03681.html#a127b641c64c74660cf9ee7aeb9a1a8fa">layoutRoot</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#ac1d2fdeca245186528153fac49ed0047">   16</a></span>    <span class="keyword">protected</span> Widget <a class="code hl_variable" href="../../d7/d40/a03681.html#ac1d2fdeca245186528153fac49ed0047">selectWidget</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#a90e781672fd252b83367a7b4a725775f">   17</a></span>    <span class="keyword">protected</span> Widget <a class="code hl_variable" href="../../d7/d40/a03681.html#a90e781672fd252b83367a7b4a725775f">optionWidget</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#aa19f46f260831278cc4c80d97229e779">   18</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d7/d40/a03681.html#aa19f46f260831278cc4c80d97229e779">settingLabel</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#a2c95ee80b1448889e3b7b6c079e15ddd">   19</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d7/d40/a03681.html#a2c95ee80b1448889e3b7b6c079e15ddd">settingButton</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#a24d8bc40ebd3904af2f1b81d3592929e">   20</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d7/d40/a03681.html#a24d8bc40ebd3904af2f1b81d3592929e">settingValue</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#a56af4abab353462787d13946cf979a44">   22</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../dc/d08/a04317.html">ExpansionSettingSerializationBase</a> <a class="code hl_variable" href="../../d7/d40/a03681.html#a56af4abab353462787d13946cf979a44">m_Setting</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#a120a54fa06057fc652fcebb33cdd21a3">   24</a></span>    <span class="keyword">protected</span> ref OptionsMenuExpansion <a class="code hl_variable" href="../../d7/d40/a03681.html#a120a54fa06057fc652fcebb33cdd21a3">m_Menu</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#a0b091af80ca732c7d633bd3694a62691">   25</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../dd/d13/a05041.html">OptionSelectorMultistate</a> <a class="code hl_variable" href="../../d7/d40/a03681.html#a0b091af80ca732c7d633bd3694a62691">m_Selector</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#ad968c9b4f4f34a69e4f2e97b89799963">   26</a></span>    <span class="keyword">protected</span> ref OptionSelectorSlider <a class="code hl_variable" href="../../d7/d40/a03681.html#ad968c9b4f4f34a69e4f2e97b89799963">m_Slider</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#abeb952f28f785bb7b76c5f665281479a">   27</a></span>    <span class="keyword">protected</span> ref ScriptInvoker m_ApplySetting = <span class="keyword">new</span> ScriptInvoker;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">// ExpansionOptionSettingWidget Constructor</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#ab9c9e3e8bb78735264b870b8d7f2193c">   33</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d40/a03681.html#ab9c9e3e8bb78735264b870b8d7f2193c">ExpansionOptionSettingWidget</a>( Widget parent, notnull <a class="code hl_class" href="../../dc/d08/a04317.html">ExpansionSettingSerializationBase</a> setting, OptionsMenuExpansion menu )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        layoutRoot = Widget.Cast( GetGame().GetWorkspace().CreateWidgets( <span class="stringliteral">&quot;DayZExpansion/Core/GUI/layouts/ui/options/expansion_options_setting_new.layout&quot;</span>, parent ) );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        m_Setting = setting;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        m_Menu = menu;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        selectWidget = Widget.Cast( layoutRoot.FindAnyWidget( <span class="stringliteral">&quot;expansion_options_setting&quot;</span> ) );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        settingLabel = TextWidget.Cast( layoutRoot.FindAnyWidget( <span class="stringliteral">&quot;expansion_options_setting_label&quot;</span> ) );</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        settingLabel.SetText( m_Setting.<a class="code hl_variable" href="../../dc/d08/a04317.html#afee7b22ff6018c6cb523e51ad5f20350">m_Name</a> );</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        optionWidget = Widget.Cast( layoutRoot.FindAnyWidget( <span class="stringliteral">&quot;expansion_options_setting_option&quot;</span> ) );</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        settingButton = ButtonWidget.Cast( layoutRoot.FindAnyWidget( <span class="stringliteral">&quot;expansion_options_setting_button&quot;</span> ) );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        settingValue = TextWidget.Cast( layoutRoot.FindAnyWidget( <span class="stringliteral">&quot;expansion_options_setting_value&quot;</span> ) );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        settingValue.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        layoutRoot.SetHandler( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d7/d40/a03681.html#a541e0985539a4b3f1594c49468aa0b69">ConstructToggle</a>() &amp;&amp; !<a class="code hl_function" href="../../d7/d40/a03681.html#a973736458830537261adb59f18792bf1">ConstructSlider</a>() &amp;&amp; !<a class="code hl_function" href="../../d7/d40/a03681.html#a01506dc0932a4bc527677fa3f536a787">ConstructEnum</a>() )</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <a class="code hl_function" href="../../dd/dd8/a00719.html#a008eb1c448c351e3e58145acc877a40f">Error</a>( <span class="stringliteral">&quot;ExpansionOptionSettingWidget construction failed!&quot;</span> );</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <span class="comment">// ExpansionOptionSettingWidget Apply</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#af709a2cbb254a7db31239631a06e147a">   59</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d40/a03681.html#af709a2cbb254a7db31239631a06e147a">Apply</a>()</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        m_ApplySetting.Invoke();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <span class="comment">// ExpansionOptionSettingWidget ConstructToggle</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#a541e0985539a4b3f1594c49468aa0b69">   67</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d40/a03681.html#a541e0985539a4b3f1594c49468aa0b69">ConstructToggle</a>()</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_class" href="../../d8/d59/a04337.html">ExpansionSettingSerializationToggle</a> setting;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">if</span> ( !Class.CastTo( setting, m_Setting ) )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordtype">int</span> selection = 0;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">if</span> ( setting.<a class="code hl_function" href="../../d8/d59/a04337.html#a5989868e787e4a09c5c325cc49e04e94">GetValue</a>() )</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            selection = 1;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        array&lt;string&gt; options = { <span class="stringliteral">&quot;NO&quot;</span>, <span class="stringliteral">&quot;YES&quot;</span> };</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        m_Selector = <span class="keyword">new</span> <a class="code hl_class" href="../../dd/d13/a05041.html">OptionSelectorMultistate</a>( optionWidget, selection, <span class="keyword">this</span>, <span class="keyword">false</span>, options );</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        m_Selector.m_OptionChanged.Insert( OnToggleOptionChanged );</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        m_ApplySetting.Insert( OnApplySetting_Toggle );</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <span class="comment">// ExpansionOptionSettingWidget OnToggleOptionChanged</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#adfa214ab67b8b247d16aac364f206d77">   89</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d40/a03681.html#adfa214ab67b8b247d16aac364f206d77">OnToggleOptionChanged</a>( <span class="keywordtype">int</span> selection )</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        m_Menu.SetChanged();</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="comment">// ExpansionOptionSettingWidget OnApplySetting_Toggle</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#aa14a9c63dc0bc19143509e691630d2f0">   97</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d40/a03681.html#aa14a9c63dc0bc19143509e691630d2f0">OnApplySetting_Toggle</a>()</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <a class="code hl_class" href="../../d8/d59/a04337.html">ExpansionSettingSerializationToggle</a> setting;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">if</span> ( !Class.CastTo( setting, m_Setting ) )</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">if</span> ( m_Selector.GetValue() == 1 )</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            setting.<a class="code hl_function" href="../../d8/d59/a04337.html#a0bc004c9f3910f02bbade5efed194e93">SetValue</a>( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            setting.<a class="code hl_function" href="../../d8/d59/a04337.html#a0bc004c9f3910f02bbade5efed194e93">SetValue</a>( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    <span class="comment">// ExpansionOptionSettingWidget ConstructSlider</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#a973736458830537261adb59f18792bf1">  112</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d40/a03681.html#a973736458830537261adb59f18792bf1">ConstructSlider</a>()</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <a class="code hl_class" href="../../d0/d91/a04329.html">ExpansionSettingSerializationSlider</a> setting;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordflow">if</span> ( !Class.CastTo( setting, m_Setting ) )</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordtype">float</span> value = setting.<a class="code hl_function" href="../../d0/d91/a04329.html#ab9273e2c63fc20b30b418318e606e821">GetValue</a>();</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        m_Slider = <span class="keyword">new</span> OptionSelectorSlider( optionWidget, value, <span class="keyword">this</span>, <span class="keyword">false</span>, setting.<a class="code hl_variable" href="../../d0/d91/a04329.html#af9243a1db286197f43c0e8e63e6e0f9f">m_Min</a>, setting.<a class="code hl_variable" href="../../d0/d91/a04329.html#a4395179f3b607ddf2c081c9243e9c30b">m_Max</a> );</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordflow">if</span> (setting.<a class="code hl_variable" href="../../d0/d91/a04329.html#a72ac4f833422c0fa72b0fa633404e1b7">m_Step</a>)</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            m_Slider.SetStep(setting.<a class="code hl_variable" href="../../d0/d91/a04329.html#a72ac4f833422c0fa72b0fa633404e1b7">m_Step</a> / (setting.<a class="code hl_variable" href="../../d0/d91/a04329.html#a4395179f3b607ddf2c081c9243e9c30b">m_Max</a> - setting.<a class="code hl_variable" href="../../d0/d91/a04329.html#af9243a1db286197f43c0e8e63e6e0f9f">m_Min</a>));</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        m_Slider.m_OptionChanged.Insert( OnSliderOptionChanged );</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        settingValue.Show( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        settingValue.SetText( m_Slider.GetValue().ToString() );</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        m_ApplySetting.Insert( OnApplySetting_Slider );</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span> </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    <span class="comment">// ExpansionOptionSettingWidget OnSliderOptionChanged</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#ab7c05d555aa326fd251c8779da68f6d9">  135</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d40/a03681.html#ab7c05d555aa326fd251c8779da68f6d9">OnSliderOptionChanged</a>( <span class="keywordtype">float</span> value )</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    {</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        m_Menu.SetChanged();</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        settingValue.SetText( m_Slider.GetValue().ToString() );</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    <span class="comment">// ExpansionOptionSettingWidget OnApplySetting_Slider</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#a5a698930534e428c0c43a0cd9502223c">  144</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d40/a03681.html#a5a698930534e428c0c43a0cd9502223c">OnApplySetting_Slider</a>()</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <a class="code hl_class" href="../../d0/d91/a04329.html">ExpansionSettingSerializationSlider</a> setting;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="keywordflow">if</span> ( !Class.CastTo( setting, m_Setting ) )</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        setting.<a class="code hl_function" href="../../d0/d91/a04329.html#a947f7b736632850f733960d3a684ad75">SetValue</a>( m_Slider.GetValue() );</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    }</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    <span class="comment">// ExpansionOptionSettingWidget ConstructEnum</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#a01506dc0932a4bc527677fa3f536a787">  156</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d40/a03681.html#a01506dc0932a4bc527677fa3f536a787">ConstructEnum</a>()</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <a class="code hl_class" href="../../da/db5/a04321.html">ExpansionSettingSerializationEnum</a> setting;</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="keywordflow">if</span> ( !Class.CastTo( setting, m_Setting ) )</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span> </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordtype">int</span> value = setting.<a class="code hl_function" href="../../de/d35/a04325.html#ace47ac827c2b239d50d0fbe2cea35cc7">GetValue</a>();</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        m_Selector = <span class="keyword">new</span> <a class="code hl_class" href="../../dd/d13/a05041.html">OptionSelectorMultistate</a>( optionWidget, value, <span class="keyword">this</span>, <span class="keyword">false</span>, setting.<a class="code hl_variable" href="../../da/db5/a04321.html#a7afdc1bc6352838e8cf32ef9045be184">m_Values</a> );</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        m_Selector.m_OptionChanged.Insert( OnEnumOptionChanged );</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span> </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        m_ApplySetting.Insert( OnApplySetting_Enum );</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span> </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    <span class="comment">// ExpansionOptionSettingWidget OnEnumOptionChanged</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#aa6428372ed6d02a1ba8bdd01cdc7a44e">  175</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d40/a03681.html#aa6428372ed6d02a1ba8bdd01cdc7a44e">OnEnumOptionChanged</a>( <span class="keywordtype">float</span> value )</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        m_Menu.SetChanged();</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    <span class="comment">// ExpansionOptionSettingWidget OnApplySetting_Enum</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#a952881ace9deb4183be9afac8aaf0ee5">  183</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d40/a03681.html#a952881ace9deb4183be9afac8aaf0ee5">OnApplySetting_Enum</a>()</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        <a class="code hl_class" href="../../da/db5/a04321.html">ExpansionSettingSerializationEnum</a> setting;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <span class="keywordflow">if</span> ( !Class.CastTo( setting, m_Setting ) )</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        setting.<a class="code hl_function" href="../../da/db5/a04321.html#af8a59bb78018fa8679de36d1a73df7ef">SetValue</a>( m_Selector.GetValue() );</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    }</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>    </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    <span class="comment">// ExpansionOptionSettingWidget OnMouseEnter</span></div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#adb29d3b0007d7c5899f77b5c8ec65e50">  195</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d40/a03681.html#adb29d3b0007d7c5899f77b5c8ec65e50">OnMouseEnter</a>( Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y )</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    {</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.UI, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnMouseEnter&quot;</span>);</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        <span class="keywordflow">if</span> ( w == selectWidget )</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>            m_Menu.ShowDetails( m_Setting.<a class="code hl_variable" href="../../dc/d08/a04317.html#acb2f7b412bda551ee89162ea1ce11009">m_DetailLabel</a>, m_Setting.<a class="code hl_variable" href="../../dc/d08/a04317.html#abf4eefb110b52ce6be28f03f69e2a328">m_DetailContent</a> );</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>            selectWidget.SetColor( ARGB( 255, 0, 0, 0 ) );</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>            settingLabel.SetColor( ARGB( 255, 255, 0, 0 ) );</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>            <span class="keywordflow">if</span> ( m_Selector &amp;&amp; m_Selector.GetOptionTextWidget() ) m_Selector.GetOptionTextWidget().SetColor( ARGB( 255, 255, 0, 0 ) );</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>            </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        }</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        <span class="keywordflow">return</span> super.OnMouseEnter( w, x, y );</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    }</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    <span class="comment">// ExpansionOptionSettingWidget OnMouseLeave</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#aa0961e354274ce56d9047e4461f95a1a">  218</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d40/a03681.html#aa0961e354274ce56d9047e4461f95a1a">OnMouseLeave</a>( Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y )</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    {</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.UI, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnMouseLeave&quot;</span>);</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    </div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        <span class="keywordflow">if</span> ( w == selectWidget )</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        {</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>            m_Menu.HideDetails();</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>            selectWidget.SetColor( ARGB( 0, 0, 0, 0 ) );</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>            settingLabel.SetColor( ARGB( 255, 255, 255, 255 ) );</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>            </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>            <span class="keywordflow">if</span> ( m_Selector &amp;&amp; m_Selector.GetOptionTextWidget() ) m_Selector.GetOptionTextWidget().SetColor( ARGB( 255, 255, 255, 255 ) );</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>            </div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        }</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        </div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        <span class="keywordflow">return</span> super.OnMouseLeave( w, enterW, x, y );</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>    }</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>    </div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno"><a class="line" href="../../d7/d40/a03681.html#ab6b47caa782b71c1752050ed31dabb2d">  238</a></span>    <a class="code hl_class" href="../../dc/d08/a04317.html">ExpansionSettingSerializationBase</a> <a class="code hl_function" href="../../d7/d40/a03681.html#ab6b47caa782b71c1752050ed31dabb2d">GetSetting</a>()</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>    {</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d7/d40/a03681.html#a56af4abab353462787d13946cf979a44">m_Setting</a>;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    }</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>};</div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00719_html_a008eb1c448c351e3e58145acc877a40f"><div class="ttname"><a href="../../dd/dd8/a00719.html#a008eb1c448c351e3e58145acc877a40f">Error</a></div><div class="ttdeci">void Error(PlayerIdentity identity=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/a00719_source.html#l00163">expansionnotificationsystem.c:163</a></div></div>
<div class="ttc" id="aa03681_html"><div class="ttname"><a href="../../d7/d40/a03681.html">ScriptedWidgetEventHandler</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d95/a00299_source.html#l00017">expansionflagmenutextureentry.c:18</a></div></div>
<div class="ttc" id="aa03681_html_a01506dc0932a4bc527677fa3f536a787"><div class="ttname"><a href="../../d7/d40/a03681.html#a01506dc0932a4bc527677fa3f536a787">ScriptedWidgetEventHandler::ConstructEnum</a></div><div class="ttdeci">bool ConstructEnum()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00156">expansionoptionsettingwidget.c:156</a></div></div>
<div class="ttc" id="aa03681_html_a0b091af80ca732c7d633bd3694a62691"><div class="ttname"><a href="../../d7/d40/a03681.html#a0b091af80ca732c7d633bd3694a62691">ScriptedWidgetEventHandler::m_Selector</a></div><div class="ttdeci">protected ref OptionSelectorMultistate m_Selector</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00025">expansionoptionsettingwidget.c:25</a></div></div>
<div class="ttc" id="aa03681_html_a120a54fa06057fc652fcebb33cdd21a3"><div class="ttname"><a href="../../d7/d40/a03681.html#a120a54fa06057fc652fcebb33cdd21a3">ScriptedWidgetEventHandler::m_Menu</a></div><div class="ttdeci">protected ref OptionsMenuExpansion m_Menu</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00024">expansionoptionsettingwidget.c:24</a></div></div>
<div class="ttc" id="aa03681_html_a127b641c64c74660cf9ee7aeb9a1a8fa"><div class="ttname"><a href="../../d7/d40/a03681.html#a127b641c64c74660cf9ee7aeb9a1a8fa">ScriptedWidgetEventHandler::layoutRoot</a></div><div class="ttdeci">protected Widget layoutRoot</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00015">expansionoptionsettingwidget.c:15</a></div></div>
<div class="ttc" id="aa03681_html_a24d8bc40ebd3904af2f1b81d3592929e"><div class="ttname"><a href="../../d7/d40/a03681.html#a24d8bc40ebd3904af2f1b81d3592929e">ScriptedWidgetEventHandler::settingValue</a></div><div class="ttdeci">protected TextWidget settingValue</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00020">expansionoptionsettingwidget.c:20</a></div></div>
<div class="ttc" id="aa03681_html_a2c95ee80b1448889e3b7b6c079e15ddd"><div class="ttname"><a href="../../d7/d40/a03681.html#a2c95ee80b1448889e3b7b6c079e15ddd">ScriptedWidgetEventHandler::settingButton</a></div><div class="ttdeci">protected ButtonWidget settingButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00019">expansionoptionsettingwidget.c:19</a></div></div>
<div class="ttc" id="aa03681_html_a541e0985539a4b3f1594c49468aa0b69"><div class="ttname"><a href="../../d7/d40/a03681.html#a541e0985539a4b3f1594c49468aa0b69">ScriptedWidgetEventHandler::ConstructToggle</a></div><div class="ttdeci">bool ConstructToggle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00067">expansionoptionsettingwidget.c:67</a></div></div>
<div class="ttc" id="aa03681_html_a56af4abab353462787d13946cf979a44"><div class="ttname"><a href="../../d7/d40/a03681.html#a56af4abab353462787d13946cf979a44">ScriptedWidgetEventHandler::m_Setting</a></div><div class="ttdeci">protected ExpansionSettingSerializationBase m_Setting</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00022">expansionoptionsettingwidget.c:22</a></div></div>
<div class="ttc" id="aa03681_html_a5a698930534e428c0c43a0cd9502223c"><div class="ttname"><a href="../../d7/d40/a03681.html#a5a698930534e428c0c43a0cd9502223c">ScriptedWidgetEventHandler::OnApplySetting_Slider</a></div><div class="ttdeci">private void OnApplySetting_Slider()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00144">expansionoptionsettingwidget.c:144</a></div></div>
<div class="ttc" id="aa03681_html_a90e781672fd252b83367a7b4a725775f"><div class="ttname"><a href="../../d7/d40/a03681.html#a90e781672fd252b83367a7b4a725775f">ScriptedWidgetEventHandler::optionWidget</a></div><div class="ttdeci">protected Widget optionWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00017">expansionoptionsettingwidget.c:17</a></div></div>
<div class="ttc" id="aa03681_html_a952881ace9deb4183be9afac8aaf0ee5"><div class="ttname"><a href="../../d7/d40/a03681.html#a952881ace9deb4183be9afac8aaf0ee5">ScriptedWidgetEventHandler::OnApplySetting_Enum</a></div><div class="ttdeci">private void OnApplySetting_Enum()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00183">expansionoptionsettingwidget.c:183</a></div></div>
<div class="ttc" id="aa03681_html_a973736458830537261adb59f18792bf1"><div class="ttname"><a href="../../d7/d40/a03681.html#a973736458830537261adb59f18792bf1">ScriptedWidgetEventHandler::ConstructSlider</a></div><div class="ttdeci">bool ConstructSlider()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00112">expansionoptionsettingwidget.c:112</a></div></div>
<div class="ttc" id="aa03681_html_aa0961e354274ce56d9047e4461f95a1a"><div class="ttname"><a href="../../d7/d40/a03681.html#aa0961e354274ce56d9047e4461f95a1a">ScriptedWidgetEventHandler::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00218">expansionoptionsettingwidget.c:218</a></div></div>
<div class="ttc" id="aa03681_html_aa14a9c63dc0bc19143509e691630d2f0"><div class="ttname"><a href="../../d7/d40/a03681.html#aa14a9c63dc0bc19143509e691630d2f0">ScriptedWidgetEventHandler::OnApplySetting_Toggle</a></div><div class="ttdeci">private void OnApplySetting_Toggle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00097">expansionoptionsettingwidget.c:97</a></div></div>
<div class="ttc" id="aa03681_html_aa19f46f260831278cc4c80d97229e779"><div class="ttname"><a href="../../d7/d40/a03681.html#aa19f46f260831278cc4c80d97229e779">ScriptedWidgetEventHandler::settingLabel</a></div><div class="ttdeci">protected TextWidget settingLabel</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00018">expansionoptionsettingwidget.c:18</a></div></div>
<div class="ttc" id="aa03681_html_aa6428372ed6d02a1ba8bdd01cdc7a44e"><div class="ttname"><a href="../../d7/d40/a03681.html#aa6428372ed6d02a1ba8bdd01cdc7a44e">ScriptedWidgetEventHandler::OnEnumOptionChanged</a></div><div class="ttdeci">private void OnEnumOptionChanged(float value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00175">expansionoptionsettingwidget.c:175</a></div></div>
<div class="ttc" id="aa03681_html_ab6b47caa782b71c1752050ed31dabb2d"><div class="ttname"><a href="../../d7/d40/a03681.html#ab6b47caa782b71c1752050ed31dabb2d">ScriptedWidgetEventHandler::GetSetting</a></div><div class="ttdeci">ExpansionSettingSerializationBase GetSetting()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00238">expansionoptionsettingwidget.c:238</a></div></div>
<div class="ttc" id="aa03681_html_ab7c05d555aa326fd251c8779da68f6d9"><div class="ttname"><a href="../../d7/d40/a03681.html#ab7c05d555aa326fd251c8779da68f6d9">ScriptedWidgetEventHandler::OnSliderOptionChanged</a></div><div class="ttdeci">private void OnSliderOptionChanged(float value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00135">expansionoptionsettingwidget.c:135</a></div></div>
<div class="ttc" id="aa03681_html_ab9c9e3e8bb78735264b870b8d7f2193c"><div class="ttname"><a href="../../d7/d40/a03681.html#ab9c9e3e8bb78735264b870b8d7f2193c">ScriptedWidgetEventHandler::ExpansionOptionSettingWidget</a></div><div class="ttdeci">void ExpansionOptionSettingWidget(Widget parent, notnull ExpansionSettingSerializationBase setting, OptionsMenuExpansion menu)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00033">expansionoptionsettingwidget.c:33</a></div></div>
<div class="ttc" id="aa03681_html_ac1d2fdeca245186528153fac49ed0047"><div class="ttname"><a href="../../d7/d40/a03681.html#ac1d2fdeca245186528153fac49ed0047">ScriptedWidgetEventHandler::selectWidget</a></div><div class="ttdeci">protected Widget selectWidget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00016">expansionoptionsettingwidget.c:16</a></div></div>
<div class="ttc" id="aa03681_html_ad968c9b4f4f34a69e4f2e97b89799963"><div class="ttname"><a href="../../d7/d40/a03681.html#ad968c9b4f4f34a69e4f2e97b89799963">ScriptedWidgetEventHandler::m_Slider</a></div><div class="ttdeci">protected ref OptionSelectorSlider m_Slider</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00026">expansionoptionsettingwidget.c:26</a></div></div>
<div class="ttc" id="aa03681_html_adb29d3b0007d7c5899f77b5c8ec65e50"><div class="ttname"><a href="../../d7/d40/a03681.html#adb29d3b0007d7c5899f77b5c8ec65e50">ScriptedWidgetEventHandler::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00195">expansionoptionsettingwidget.c:195</a></div></div>
<div class="ttc" id="aa03681_html_adfa214ab67b8b247d16aac364f206d77"><div class="ttname"><a href="../../d7/d40/a03681.html#adfa214ab67b8b247d16aac364f206d77">ScriptedWidgetEventHandler::OnToggleOptionChanged</a></div><div class="ttdeci">private void OnToggleOptionChanged(int selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00089">expansionoptionsettingwidget.c:89</a></div></div>
<div class="ttc" id="aa03681_html_af709a2cbb254a7db31239631a06e147a"><div class="ttname"><a href="../../d7/d40/a03681.html#af709a2cbb254a7db31239631a06e147a">ScriptedWidgetEventHandler::Apply</a></div><div class="ttdeci">void Apply()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dae/a01304_source.html#l00059">expansionoptionsettingwidget.c:59</a></div></div>
<div class="ttc" id="aa04317_html"><div class="ttname"><a href="../../dc/d08/a04317.html">ExpansionSettingSerializationBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db2/a00866_source.html#l00013">expansionsettingserializationbase.c:14</a></div></div>
<div class="ttc" id="aa04317_html_abf4eefb110b52ce6be28f03f69e2a328"><div class="ttname"><a href="../../dc/d08/a04317.html#abf4eefb110b52ce6be28f03f69e2a328">ExpansionSettingSerializationBase::m_DetailContent</a></div><div class="ttdeci">string m_DetailContent</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db2/a00866_source.html#l00019">expansionsettingserializationbase.c:19</a></div></div>
<div class="ttc" id="aa04317_html_acb2f7b412bda551ee89162ea1ce11009"><div class="ttname"><a href="../../dc/d08/a04317.html#acb2f7b412bda551ee89162ea1ce11009">ExpansionSettingSerializationBase::m_DetailLabel</a></div><div class="ttdeci">string m_DetailLabel</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db2/a00866_source.html#l00018">expansionsettingserializationbase.c:18</a></div></div>
<div class="ttc" id="aa04317_html_afee7b22ff6018c6cb523e51ad5f20350"><div class="ttname"><a href="../../dc/d08/a04317.html#afee7b22ff6018c6cb523e51ad5f20350">ExpansionSettingSerializationBase::m_Name</a></div><div class="ttdeci">string m_Name</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db2/a00866_source.html#l00016">expansionsettingserializationbase.c:16</a></div></div>
<div class="ttc" id="aa04321_html"><div class="ttname"><a href="../../da/db5/a04321.html">ExpansionSettingSerializationEnum</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/db2/a00869_source.html#l00013">expansionsettingserializationenum.c:14</a></div></div>
<div class="ttc" id="aa04321_html_a7afdc1bc6352838e8cf32ef9045be184"><div class="ttname"><a href="../../da/db5/a04321.html#a7afdc1bc6352838e8cf32ef9045be184">ExpansionSettingSerializationEnum::m_Values</a></div><div class="ttdeci">ref array&lt; string &gt; m_Values</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/db2/a00869_source.html#l00015">expansionsettingserializationenum.c:15</a></div></div>
<div class="ttc" id="aa04321_html_af8a59bb78018fa8679de36d1a73df7ef"><div class="ttname"><a href="../../da/db5/a04321.html#af8a59bb78018fa8679de36d1a73df7ef">ExpansionSettingSerializationEnum::SetValue</a></div><div class="ttdeci">void SetValue(string value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/db2/a00869_source.html#l00036">expansionsettingserializationenum.c:36</a></div></div>
<div class="ttc" id="aa04325_html_ace47ac827c2b239d50d0fbe2cea35cc7"><div class="ttname"><a href="../../de/d35/a04325.html#ace47ac827c2b239d50d0fbe2cea35cc7">ExpansionSettingSerializationInt::GetValue</a></div><div class="ttdeci">int GetValue()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d17/a00872_source.html#l00030">expansionsettingserializationint.c:30</a></div></div>
<div class="ttc" id="aa04329_html"><div class="ttname"><a href="../../d0/d91/a04329.html">ExpansionSettingSerializationSlider</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d93/a00875_source.html#l00013">expansionsettingserializationslider.c:14</a></div></div>
<div class="ttc" id="aa04329_html_a4395179f3b607ddf2c081c9243e9c30b"><div class="ttname"><a href="../../d0/d91/a04329.html#a4395179f3b607ddf2c081c9243e9c30b">ExpansionSettingSerializationSlider::m_Max</a></div><div class="ttdeci">float m_Max</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d93/a00875_source.html#l00016">expansionsettingserializationslider.c:16</a></div></div>
<div class="ttc" id="aa04329_html_a72ac4f833422c0fa72b0fa633404e1b7"><div class="ttname"><a href="../../d0/d91/a04329.html#a72ac4f833422c0fa72b0fa633404e1b7">ExpansionSettingSerializationSlider::m_Step</a></div><div class="ttdeci">float m_Step</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d93/a00875_source.html#l00017">expansionsettingserializationslider.c:17</a></div></div>
<div class="ttc" id="aa04329_html_a947f7b736632850f733960d3a684ad75"><div class="ttname"><a href="../../d0/d91/a04329.html#a947f7b736632850f733960d3a684ad75">ExpansionSettingSerializationSlider::SetValue</a></div><div class="ttdeci">void SetValue(float value)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d93/a00875_source.html#l00045">expansionsettingserializationslider.c:45</a></div></div>
<div class="ttc" id="aa04329_html_ab9273e2c63fc20b30b418318e606e821"><div class="ttname"><a href="../../d0/d91/a04329.html#ab9273e2c63fc20b30b418318e606e821">ExpansionSettingSerializationSlider::GetValue</a></div><div class="ttdeci">float GetValue()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d93/a00875_source.html#l00034">expansionsettingserializationslider.c:34</a></div></div>
<div class="ttc" id="aa04329_html_af9243a1db286197f43c0e8e63e6e0f9f"><div class="ttname"><a href="../../d0/d91/a04329.html#af9243a1db286197f43c0e8e63e6e0f9f">ExpansionSettingSerializationSlider::m_Min</a></div><div class="ttdeci">float m_Min</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d93/a00875_source.html#l00015">expansionsettingserializationslider.c:15</a></div></div>
<div class="ttc" id="aa04337_html"><div class="ttname"><a href="../../d8/d59/a04337.html">ExpansionSettingSerializationToggle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/a00881_source.html#l00013">expansionsettingserializationtoggle.c:14</a></div></div>
<div class="ttc" id="aa04337_html_a0bc004c9f3910f02bbade5efed194e93"><div class="ttname"><a href="../../d8/d59/a04337.html#a0bc004c9f3910f02bbade5efed194e93">ExpansionSettingSerializationToggle::SetValue</a></div><div class="ttdeci">void SetValue(bool value)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/a00881_source.html#l00041">expansionsettingserializationtoggle.c:41</a></div></div>
<div class="ttc" id="aa04337_html_a5989868e787e4a09c5c325cc49e04e94"><div class="ttname"><a href="../../d8/d59/a04337.html#a5989868e787e4a09c5c325cc49e04e94">ExpansionSettingSerializationToggle::GetValue</a></div><div class="ttdeci">bool GetValue()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d41/a00881_source.html#l00030">expansionsettingserializationtoggle.c:30</a></div></div>
<div class="ttc" id="aa05041_html"><div class="ttname"><a href="../../dd/d13/a05041.html">OptionSelectorMultistate</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d90/a01313_source.html#l00013">optionselectormultistate.c:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_ee841cbe272fde7d7d8de5f31a96d644.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_d9bf3955f906b79792cbbbe771cbfdb0.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_2dd2a25b96a83f02428078034cc08b57.html">gui</a></li><li class="navelem"><a class="el" href="../../dir_394aa35ba2ffec607991a8e3da914a7e.html">options</a></li><li class="navelem"><a class="el" href="../../d6/dae/a01304.html">expansionoptionsettingwidget.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
